Skip to main content

List Product Options (v1)

Method & Path

GET /api/v1/workspace/:workspaceId/storefront/product-options

Actual backend path: /v1/workspace/:workspaceId/storefront/product-options

Description

List all store-level product options (modifiers) for the workspace store. These options can be linked to products when adding or editing product option groups.

Authentication

Required: JWT token in Authorization header.

Required Permissions: store.products.manage

Headers

HeaderTypeRequiredDescription
AuthorizationstringYesBearer token: Bearer <token>

Path Parameters

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace identifier

Response 200 OK

{
"options": [
{
"id": "507f1f77bcf86cd799439011",
"workspaceId": "507f1f77bcf86cd799439012",
"storeId": "507f1f77bcf86cd799439013",
"name": "كبير",
"priceDelta": 2.5,
"imageUrl": "https://storage.googleapis.com/.../image.webp",
"isAvailable": true,
"sortOrder": 0,
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z"
}
]
}

Common Errors

  • 401 Unauthorized: Missing or invalid authentication token
  • 403 Forbidden: Insufficient permissions (requires store.products.manage)
  • 404 Not Found: Workspace or store not found
  • 500 Internal Server Error: Server error